Skip to main content
GET
/
deployments
/
{deployment_id}
/
oauth
/
apps
List OAuth apps
curl --request GET \
  --url https://api.wacht.dev/deployments/{deployment_id}/oauth/apps \
  --header 'Authorization: <api-key>'
{
  "apps": [
    {
      "id": "<string>",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "logo_url": "<string>",
      "fqdn": "<string>",
      "supported_scopes": [
        "<string>"
      ],
      "scope_definitions": [
        {
          "scope": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "archived": true,
          "category": "",
          "organization_permission": "<string>",
          "workspace_permission": "<string>"
        }
      ],
      "allow_dynamic_client_registration": true,
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

deployment_id
string
required

Deployment ID

Response

200 - application/json

OAuth apps

apps
object[]
required